Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Create image variation

Deprecated
$ openai images create-variation
POST
/images/variations

This endpoint is retired and no longer available. Use the image edits endpoint with a GPT Image model and a prompt to create a variation of an image. The request and response schemas below describe the legacy contract.

Create image variation

openai images create-variation \
  --api-key 'My API Key' \
  --image 'Example data'
Response example
{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}
Parameters
--image: file path

The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.

--model: optional string or ImageModel

The legacy model used by the retired image variations endpoint. This endpoint no longer accepts requests.

--n: optional number

The number of images to generate. Must be between 1 and 10.

--response-format: optional "url" or "b64_json"

The format in which the generated images are returned. Must be one of url or b64_json. URLs are only valid for 60 minutes after the image has been generated.

--size: optional "256x256" or "512x512" or "1024x1024"

The size of the generated images. Must be one of 256x256, 512x512, or 1024x1024.

--user: optional string

A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. Learn more.

Returns
images_response: object { created, background, data, 6 more }

The response from the image generation endpoint.

created: number

The Unix timestamp (in seconds) of when the image was created.

background: optional "transparent" or "opaque"

The background parameter used for the image generation. Either transparent or opaque.

data: optional array of Image { b64_json, revised_prompt, url }

The list of generated images.

output_format: optional "png" or "webp" or "jpeg" or 2 more

The output format of the generated or edited image.

quality: optional "low" or "medium" or "high" or 2 more

The quality of the image generated. One of low, medium, high, xhigh, or max.

safety_identifier: optional string

The effective safety identifier used for safety monitoring and abuse detection. This is the non-empty safety_identifier from the request, or the deprecated user value when safety_identifier is omitted, null, or empty.

size: optional string or "1024x1024" or "1024x1536" or "1536x1024"

The image dimensions as a WIDTHxHEIGHT string, for example 1536x864.

svg_usage: optional object { input_tokens, model, output_tokens, 2 more }

Token usage for SVG authoring, separate from image rendering usage.

usage: optional object { input_tokens, input_tokens_details, output_tokens, 2 more }

Token usage information for image generation with GPT Image models.

Returns Examples
Response example
{
  "created": 1589478378,
  "data": [
    {
      "url": "https://..."
    },
    {
      "url": "https://..."
    }
  ]
}